Bug 884749 - list_del corruption after xrandr in kvm
Summary: list_del corruption after xrandr in kvm
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 16:28 UTC by Zing
Modified: 2013-04-16 14:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-16 14:22:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Zing 2012-12-06 16:28:30 UTC
Description of problem:
I'm running f18beta in a f14 qemu-kvm.  After running "xrandr -s 800x600", the display does seem to reduce in size, but the f18beta immediately locks up/freezes.

The following is trace output from the console:

[71708.843896] ------------[ cut here ]------------
[71708.844901] WARNING: at lib/list_debug.c:59 __list_del_entry+0xa1/0xd0()
[71708.846044] Hardware name: Bochs
[71708.846610] list_del corruption. prev->next should be ffff880039b0c050, but was e9e3ede9e3ede9e3
[71708.848084] Modules linked in: fuse ebtable_nat ebtables ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack bnep bluetooth nf_conntrack rfkill be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd virtio_net microcode virtio_balloon soundcore i2c_piix4 uinput cirrus drm_kms_helper ttm drm virtio_blk i2c_core
[71708.860369] Pid: 14012, comm: mate-settings-d Not tainted 3.6.7-5.fc18.x86_64 #1
[71708.861606] Call Trace:
[71708.862054]  [<ffffffff8105c8df>] warn_slowpath_common+0x7f/0xc0
[71708.863096]  [<ffffffff8105c9d6>] warn_slowpath_fmt+0x46/0x50
[71708.864067]  [<ffffffff812f0e71>] __list_del_entry+0xa1/0xd0
[71708.865015]  [<ffffffff81147885>] vma_prio_tree_remove+0xf5/0x130
[71708.866046]  [<ffffffff81159dc2>] __remove_shared_vm_struct.isra.24+0x52/0x80
[71708.867269]  [<ffffffff8115a1ae>] unlink_file_vma+0x4e/0x70
[71708.868212]  [<ffffffff81152d42>] free_pgtables+0xb2/0x130
[71708.869142]  [<ffffffff8115c812>] exit_mmap+0xb2/0x170
[71708.870000]  [<ffffffff81094f74>] ? __enqueue_entity+0x74/0x80
[71708.871018]  [<ffffffff81184351>] ? __khugepaged_exit+0xf1/0x110
[71708.872063]  [<ffffffff81059ce3>] mmput+0x83/0xf0
[71708.879348]  [<ffffffff810624c4>] exit_mm+0x104/0x130
[71708.880278]  [<ffffffff8106264a>] do_exit+0x15a/0x8c0
[71708.881208]  [<ffffffff810630ff>] do_group_exit+0x3f/0xa0
[71708.882191]  [<ffffffff81063177>] sys_exit_group+0x17/0x20
[71708.883200]  [<ffffffff8162b769>] system_call_fastpath+0x16/0x1b
[71708.884269] ---[ end trace a374a95d65efd238 ]---

Version-Release number of selected component (if applicable):
kernel-3.6.7-5.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. run f18beta in virt-manager/qemu-kvm
2. type "xrandr -s 800x600"


Actual results:
freezes

Expected results:
resolution changes

Additional info:

Comment 1 Josh Boyer 2013-04-01 16:05:30 UTC
Are you still seeing this with 3.8.x?

Comment 2 Josh Boyer 2013-04-16 14:22:05 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks.  If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.